### Class

# Panel SessionItem

#### Description

    final class Panel.SessionItem : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### panel_session_item_new

No description available.

#### Instance methods

###### panel_session_item_get_id

Gets the id for the session item, if any.

###### panel_session_item_get_metadata

Extract a metadata value matching `format`.

###### panel_session_item_get_metadata_value

Retrieves the metadata value for `key`.

###### panel_session_item_get_module_name

Gets the module-name that created an item.

###### panel_session_item_get_position

Gets the `PanelPosition` for the item.

###### panel_session_item_get_type_hint

Gets the type hint for an item.

###### panel_session_item_get_workspace

Gets the workspace id for the item.

###### panel_session_item_has_metadata

If the item contains a metadata value for `key`.

###### panel_session_item_has_metadata_with_type

Checks if the item contains metadata `key` with `expected_type`.

###### panel_session_item_set_id

Sets the identifier for the item.

###### panel_session_item_set_metadata

A variadic helper to set metadata.

###### panel_session_item_set_metadata_value

Sets the value for metadata `key`.

###### panel_session_item_set_module_name

Sets the module-name for the session item.

###### panel_session_item_set_position

Sets the position for `self`, if any.

###### panel_session_item_set_type_hint

Sets the type-hint value for the item.

###### panel_session_item_set_workspace

Sets the workspace id for the item.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Panel.SessionItem:id

No description available.

###### Panel.SessionItem:module-name

No description available.

###### Panel.SessionItem:position

No description available.

###### Panel.SessionItem:type-hint

No description available.

###### Panel.SessionItem:workspace

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PanelSessionItemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.